package com.jay.monitor.data.server.models.entity;

/**
 * Url数据模型
 *
 * @author ： liukx
 * @time ： 2019/10/25 - 16:09
 */
public class URLModel {
    /**
     * 服务名称
     */
    private String serviceName;
    /**
     * 前端项目名称
     */
    private String frontProjectName;
    /**
     * 用户来源
     */
    private String userAgent;
    /**
     * 用户编号
     */
    private String userId;
    /**
     * 来源ip
     */
    private String sourceIP;
    /**
     * 服务ip
     */
    private String serviceIP;
    /**
     * 消息编号
     */
    private String msgId;
    /**
     * 返回状态码
     */
    private String statusCode;
    /**
     * 执行时间
     */
    private long invokeTime;

    public String getServiceName() {
        return serviceName;
    }

    public void setServiceName(String serviceName) {
        this.serviceName = serviceName;
    }

    public String getFrontProjectName() {
        return frontProjectName;
    }

    public void setFrontProjectName(String frontProjectName) {
        this.frontProjectName = frontProjectName;
    }

    public String getUserAgent() {
        return userAgent;
    }

    public void setUserAgent(String userAgent) {
        this.userAgent = userAgent;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getSourceIP() {
        return sourceIP;
    }

    public void setSourceIP(String sourceIP) {
        this.sourceIP = sourceIP;
    }

    public String getServiceIP() {
        return serviceIP;
    }

    public void setServiceIP(String serviceIP) {
        this.serviceIP = serviceIP;
    }

    public String getMsgId() {
        return msgId;
    }

    public void setMsgId(String msgId) {
        this.msgId = msgId;
    }

    public String getStatusCode() {
        return statusCode;
    }

    public void setStatusCode(String statusCode) {
        this.statusCode = statusCode;
    }

    public long getInvokeTime() {
        return invokeTime;
    }

    public void setInvokeTime(long invokeTime) {
        this.invokeTime = invokeTime;
    }
}
